#!/bin/bash
g++ scripts/tabler.cpp -o bin/tabler -fconcepts

bash scripts/stats.sh r | bin/tabler "1n,t,r,g,a,m,u,s,l,c" > tables/real-world-network-table.tex

bash scripts/stats.sh h | bin/tabler "2n,t,r,g,a,m,u,s,l,c" > tables/real-world-hierarchy-table.tex

echo > tables/repeat-tables.tex
bash scripts/stats.sh n | bin/tabler "2n,t,r,g,a,m,u,s,l,c" >> tables/repeat-tables.tex

echo >> tables/repeat-tables.tex

bash scripts/stats.sh A | bin/tabler "1n,t,r,g,a,m,u,s,l,c" >> tables/repeat-tables.tex

echo >> tables/repeat-tables.tex

bash scripts/stats.sh c | bin/tabler "1n,t,r,g,a,m,u,s,l,c" >> tables/repeat-tables.tex

echo 3D tables > tables/3d-tables.tex
echo >> tables/3d-tables.tex
echo simulated 2D >> tables/3d-tables.tex
bash scripts/stats.sh s | bin/tabler "1n,t,r,g,a,m,u,s,l,c" >> tables/3d-tables.tex
echo >> tables/3d-tables.tex
echo 2D converted to 3D >> tables/3d-tables.tex
bash scripts/stats.sh u | bin/tabler "1n,t,r,g,a,m,u,s,l,c" >> tables/3d-tables.tex
echo >> tables/3d-tables.tex
echo simulated 3D >> tables/3d-tables.tex
bash scripts/stats.sh t | bin/tabler "1n,t,r,g,a,m,u,s,l,c" >> tables/3d-tables.tex
